Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xmlpatterns
Class QXmlNodeModelIndex.DocumentOrder

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.xmlpatterns.QXmlNodeModelIndex.DocumentOrder

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QXmlNodeModelIndex

    public static final class QXmlNodeModelIndex.DocumentOrder

extends java.lang.Enum
implements QtEnumerator

Identifies the specific node comparison operator that should be used.

See Also:
  Serialized Form

Field Summary
`static QXmlNodeModelIndex.DocumentOrder` | `Follows` Signifies the `\>\>` operator.
`static QXmlNodeModelIndex.DocumentOrder` | `Is` Signifies the `is` operator.
`static QXmlNodeModelIndex.DocumentOrder` | `Precedes` Signifies the `\<\<` operator.

Method Summary
`static QXmlNodeModelIndex.DocumentOrder` | `resolve(int value)` Returns the QXmlNodeModelIndex$DocumentOrder constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QXmlNodeModelIndex.DocumentOrder` | `valueOf(java.lang.String name)`
`static QXmlNodeModelIndex.DocumentOrder[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Precedes

    public static final QXmlNodeModelIndex.DocumentOrder Precedes

  Signifies the `\<\<` operator. Test whether the first operand precedes the second in the document.

### Is

    public static final QXmlNodeModelIndex.DocumentOrder Is

  Signifies the `is` operator. Test whether two nodes have the same node identity.

### Follows

    public static final QXmlNodeModelIndex.DocumentOrder Follows

  Signifies the `\>\>` operator. Test whether the first operand follows the second in the document.

Method Detail

### values

    public static QXmlNodeModelIndex.DocumentOrder[] values()

### valueOf

    public static QXmlNodeModelIndex.DocumentOrder valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QXmlNodeModelIndex.DocumentOrder resolve(int value)

  Returns the QXmlNodeModelIndex$DocumentOrder constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD